Subject: Bug#53: ssh timeout & hostkey saving

From: [email-masked]
Date: Thu, 25 Oct 2012 13:41:14 +0200

Package: python-x2go
Severity: wishlist
Version: 0.2.1.0

I am using PyHoca on Windows.

Sometimes pyhoca disconnects from a server (while for example putty keeps connected to the same server). I guess there is some time out or keep alive that is too low, so the session gets disconnected, when the connection is unreliable.

This there some way to configure the ssh parameters (e.g. configfile)?

Also for some host the ssh host key has been saved and for others every time I connect I have to answer yes to accept the host key. Is there any way to tell pyhoc to save the host key?